2 Replies Latest reply on Sep 4, 2012 2:31 PM by Satya Dhanushkodi

    errors when starting up jbpm 5.4-SNAPSHOT release

    Satya Dhanushkodi Newbie

      I am getting the attached errors when deploying jbpm 5-4-SNAPSHOT and guvnor-distribution-wars-5.5.0-SNAPSHOT. I was trying to get around some of the issues related to userid and groupid in human-task-war by working with the snapshots.

       

      Although at the startup, most of the errors are warnings about janino compiler or jaxb classes missing, ultimately when I try to import the "Employee Evaluation" example in guvnor and try to start the process, I am seeing the following message:

       

      11:34:06,292 SEVERE [org.jboss.resteasy.core.SynchronousDispatcher] (http-localhost-127.0.0.1-8080-10) failed to execute: javax.ws.rs.WebApplicationException

      at org.drools.guvnor.server.jaxrs.PackageResource.getAssetAsAtom(PackageResource.java:525) [guvnor-webapp-core-5.5.0-SNAPSHOT.jar:]

      at org.drools.guvnor.server.jaxrs.PackageResource$Proxy$_$$_WeldClientProxy.getAssetAsAtom(PackageResource$Proxy$_$$_WeldClientProxy.java) [guvnor-webapp-core-5.5.0-SNAPSHOT.jar:]

      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [:1.6.0_05]

       

      The process starts up - but the process form does not show up.

       

      In addition, I see the following when jbpm-console starts and attempts to read from guvnor.

       

      11:29:51,931 ERROR [stderr] (http-localhost-127.0.0.1-8080-6) Caused by: java.io.InvalidClassException: org.drools.rule.MVELDialectRuntimeData; local class incompatible: stream classdesc serialVersionUID = 5166066541265170937, local class serialVersionUID = -2603821288794910940

      11:29:51,931 ERROR [stderr] (http-localhost-127.0.0.1-8080-6)  at java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.java:562)

      11:29:51,931 ERROR [stderr] (http-localhost-127.0.0.1-8080-6)  at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream.java:1583)

       

      I tried ensuring that the same version of drools-core is in both guvnor and jbpm-console - still same error.

       

      Any ideas on what could be going wrong?

       

      Thanks,

      Satya

        • 1. Re: errors when starting up jbpm 5.4-SNAPSHOT release
          Maciej Swiderski Master

          Make sure all drools-* and knowledge-* jars are at the same level. Once you have that, rebuild all your packages inside guvnor and then start jbpm-console.

           

          HTH

          • 2. Re: errors when starting up jbpm 5.4-SNAPSHOT release
            Satya Dhanushkodi Newbie

            I started off with the latest snapshot versions of jbpm_installer. Updated the build.properties to point to 5.5 guvnor snapshot. Both (guvnor and jbpm) are referring to the same droolsjbpm-parent in maven which in turn is referring to snapshot version of drools 5.5.

             

            I am still getting the same errors. This happens when I import the the jbpm_repository_export.xml and start the Employee Evaluation process. The "Evaluation" example that is bundled with the jBpm works correctly.

             

            Just to make sure - I removed form-builder and designer from the the jboss deployment as they contained older versions of drools. Even then it is causing the same problem.

             

            Is anything in jbpm5_repository_export.xml tied to a particular version of drools?

             

            Thanks,

            Satya